---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/sekai/Library/Developer/Xcode/DerivedData/sing-box-cphsvothqwltbycautzsfcpwhfds/Build/Intermediates.noindex/ArchiveIntermediates/SFM.System/IntermediateBuildFilesPath/UninstalledProducts/macosx/RootHelper'
relocations:
  - { offset: 0x785A2, size: 0x8, addend: 0x0, symName: _RootHelperVersionString, symObjAddr: 0x0, symBinAddr: 0x100004070, symSize: 0x0 }
  - { offset: 0x785D9, size: 0x8, addend: 0x0, symName: _RootHelperVersionNumber, symObjAddr: 0x30, symBinAddr: 0x1000040A0, symSize: 0x0 }
  - { offset: 0x78617, size: 0x8, addend: 0x0, symName: _main, symObjAddr: 0x0, symBinAddr: 0x100001378, symSize: 0x30 }
  - { offset: 0x78651, size: 0x8, addend: 0x0, symName: _main, symObjAddr: 0x0, symBinAddr: 0x100001378, symSize: 0x30 }
  - { offset: 0x786E8, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyaMa', symObjAddr: 0x3AC, symBinAddr: 0x100001724, symSize: 0x50 }
  - { offset: 0x786FC, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyas20_SwiftNewtypeWrapperSCSYWb', symObjAddr: 0x3FC, symBinAddr: 0x100001774, symSize: 0x24 }
  - { offset: 0x78710, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyas20_SwiftNewtypeWrapperSCs35_HasCustomAnyHashableRepresentationPWb', symObjAddr: 0x420, symBinAddr: 0x100001798, symSize: 0x24 }
  - { offset: 0x78724, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyaSHSCSQWb', symObjAddr: 0x444, symBinAddr: 0x1000017BC, symSize: 0x24 }
  - { offset: 0x78955, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyaSQSCSQ2eeoiySbx_xtFZTW', symObjAddr: 0x250, symBinAddr: 0x1000015C8, symSize: 0x84 }
  - { offset: 0x78A2B, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyaSHSCSH9hashValueSivgTW', symObjAddr: 0x30, symBinAddr: 0x1000013A8, symSize: 0x38 }
  - { offset: 0x78AA4, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyaSHSCSH4hash4intoys6HasherVz_tFTW', symObjAddr: 0x68, symBinAddr: 0x1000013E0, symSize: 0x40 }
  - { offset: 0x78B12, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyaSHSCSH13_rawHashValue4seedS2i_tFTW', symObjAddr: 0xA8, symBinAddr: 0x100001420, symSize: 0x70 }
  - { offset: 0x78B80, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyas21_ObjectiveCBridgeableSCsACP09_bridgeToD1C01_D5CTypeQzyFTW', symObjAddr: 0x118, symBinAddr: 0x100001490, symSize: 0x8 }
  - { offset: 0x78BDE, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyas21_ObjectiveCBridgeableSCsACP016_forceBridgeFromD1C_6resulty01_D5CTypeQz_xSgztFZTW', symObjAddr: 0x120, symBinAddr: 0x100001498, symSize: 0x74 }
  - { offset: 0x78BFF, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyas21_ObjectiveCBridgeableSCsACP024_conditionallyBridgeFromD1C_6resultSb01_D5CTypeQz_xSgztFZTW', symObjAddr: 0x194, symBinAddr: 0x10000150C, symSize: 0x7C }
  - { offset: 0x78C20, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyas21_ObjectiveCBridgeableSCsACP026_unconditionallyBridgeFromD1Cyx01_D5CTypeQzSgFZTW', symObjAddr: 0x210, symBinAddr: 0x100001588, symSize: 0x40 }
  - { offset: 0x78C5B, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyaSYSCSY8rawValuexSg03RawE0Qz_tcfCTW', symObjAddr: 0x2D4, symBinAddr: 0x10000164C, symSize: 0x44 }
  - { offset: 0x78C85, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyaSYSCSY8rawValue03RawE0QzvgTW', symObjAddr: 0x318, symBinAddr: 0x100001690, symSize: 0x28 }
  - { offset: 0x78CAE, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyas35_HasCustomAnyHashableRepresentationSCsACP03_toefG0s0fG0VSgyFTW', symObjAddr: 0x340, symBinAddr: 0x1000016B8, symSize: 0x6C }
  - { offset: 0x78D69, size: 0x8, addend: 0x0, symName: '_$s10RootHelper6logger33_2241DC40A1806AA477441E9E6A961CA5LL_WZ', symObjAddr: 0x0, symBinAddr: 0x100001820, symSize: 0x64 }
  - { offset: 0x78D81, size: 0x8, addend: 0x0, symName: '_$s10RootHelper6logger33_2241DC40A1806AA477441E9E6A961CA5LL_WZ', symObjAddr: 0x0, symBinAddr: 0x100001820, symSize: 0x64 }
  - { offset: 0x78FE5, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceCfETo', symObjAddr: 0x190, symBinAddr: 0x1000019B0, symSize: 0x10 }
  - { offset: 0x79014, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceCMa', symObjAddr: 0x1A0, symBinAddr: 0x1000019C0, symSize: 0x20 }
  - { offset: 0x79078, size: 0x8, addend: 0x0, symName: '_$s2os32getNullTerminatedUTF8PointerImpl_21storingStringOwnersInSVSS_SpyypGSgztF', symObjAddr: 0x410, symBinAddr: 0x100001C30, symSize: 0xC8 }
  - { offset: 0x7909B, size: 0x8, addend: 0x0, symName: '_$ss11_StringGutsV16_deconstructUTF87scratchyXlSg5owner_xSi6lengthSb11usesScratchSb15allocatedMemorytSwSg_ts8_PointerRzlFSV_Tgq5', symObjAddr: 0x4D8, symBinAddr: 0x100001CF8, symSize: 0x110 }
  - { offset: 0x790F2, size: 0x8, addend: 0x0, symName: '_$ss11_StringGutsV23_allocateForDeconstructyXl5owner_SVSi6lengthtyF', symObjAddr: 0x5E8, symBinAddr: 0x100001E08, symSize: 0x64 }
  - { offset: 0x7913F, size: 0x8, addend: 0x0, symName: '_$ss32_copyCollectionToContiguousArrayys0dE0Vy7ElementQzGxSlRzlFSS8UTF8ViewV_Tgq5', symObjAddr: 0x64C, symBinAddr: 0x100001E6C, symSize: 0x134 }
  - { offset: 0x791B3, size: 0x8, addend: 0x0, symName: '_$sSa6append10contentsOfyqd__n_t7ElementQyd__RszSTRd__lFs5UInt8V_SayAFGTgq5', symObjAddr: 0x780, symBinAddr: 0x100001FA0, symSize: 0xF0 }
  - { offset: 0x79286, size: 0x8, addend: 0x0, symName: '_$ss22_ContiguousArrayBufferV19_uninitializedCount15minimumCapacityAByxGSi_SitcfCs5UInt8V_Tt1gq5', symObjAddr: 0x870, symBinAddr: 0x100002090, symSize: 0x70 }
  - { offset: 0x792DB, size: 0x8, addend: 0x0, symName: '_$ss12_ArrayBufferV20_consumeAndCreateNew14bufferIsUnique15minimumCapacity13growForAppendAByxGSb_SiSbtFs5UInt8V_Tgq5', symObjAddr: 0x8E0, symBinAddr: 0x100002100, symSize: 0xF0 }
  - { offset: 0x79541, size: 0x8, addend: 0x0, symName: ___swift_project_value_buffer, symObjAddr: 0x13A0, symBinAddr: 0x100002BC0, symSize: 0x18 }
  - { offset: 0x79555, size: 0x8, addend: 0x0, symName: ___swift_destroy_boxed_opaque_existential_0, symObjAddr: 0x13B8, symBinAddr: 0x100002BD8, symSize: 0x20 }
  - { offset: 0x79569, size: 0x8, addend: 0x0, symName: '_$sypWOc', symObjAddr: 0x13D8, symBinAddr: 0x100002BF8, symSize: 0x3C }
  - { offset: 0x7957D, size: 0x8, addend: 0x0, symName: ___swift_instantiateConcreteTypeFromMangledNameV2, symObjAddr: 0x1414, symBinAddr: 0x100002C34, symSize: 0x50 }
  - { offset: 0x79591, size: 0x8, addend: 0x0, symName: ___swift_allocate_value_buffer, symObjAddr: 0x1464, symBinAddr: 0x100002C84, symSize: 0x40 }
  - { offset: 0x795A5, size: 0x8, addend: 0x0, symName: '_$sSS_yptWOh', symObjAddr: 0x14A4, symBinAddr: 0x100002CC4, symSize: 0x48 }
  - { offset: 0x795B9, size: 0x8, addend: 0x0, symName: '_$sSS_yptWOc', symObjAddr: 0x14EC, symBinAddr: 0x100002D0C, symSize: 0x50 }
  - { offset: 0x795CD, size: 0x8, addend: 0x0, symName: '_$sypWOb', symObjAddr: 0x153C, symBinAddr: 0x100002D5C, symSize: 0x10 }
  - { offset: 0x79948, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceC5startyyF', symObjAddr: 0x64, symBinAddr: 0x100001884, symSize: 0xB4 }
  - { offset: 0x799E0, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceCACycfcTo', symObjAddr: 0x118, symBinAddr: 0x100001938, symSize: 0x48 }
  - { offset: 0x79A15, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceCfD', symObjAddr: 0x160, symBinAddr: 0x100001980, symSize: 0x30 }
  - { offset: 0x79A55, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceC8listener_25shouldAcceptNewConnectionSbSo13NSXPCListenerC_So15NSXPCConnectionCtFTo', symObjAddr: 0x1C0, symBinAddr: 0x1000019E0, symSize: 0x74 }
  - { offset: 0x79A91, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceC19findConnectionOwner10ipProtocol13sourceAddress0I4Port011destinationJ00lK05replyys5Int32V_SSALSSALy7Library0eF6ResultCSg_So7NSErrorCSgtctFTo', symObjAddr: 0x234, symBinAddr: 0x100001A54, symSize: 0xD8 }
  - { offset: 0x79AFF, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceC23getWorkingDirectorySize5replyyys5Int64V_So7NSErrorCSgtc_tFTo', symObjAddr: 0x30C, symBinAddr: 0x100001B2C, symSize: 0x30 }
  - { offset: 0x79B81, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceC21cleanWorkingDirectory5replyyySo7NSErrorCSgc_tFTo', symObjAddr: 0x33C, symBinAddr: 0x100001B5C, symSize: 0x54 }
  - { offset: 0x79BC8, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceC10getVersion5replyyySSc_tFTo', symObjAddr: 0x390, symBinAddr: 0x100001BB0, symSize: 0x80 }
  - { offset: 0x79CBA, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceC8listener_25shouldAcceptNewConnectionSbSo13NSXPCListenerC_So15NSXPCConnectionCtFTf4dnn_n', symObjAddr: 0x9D0, symBinAddr: 0x1000021F0, symSize: 0x1FC }
  - { offset: 0x79F32, size: 0x8, addend: 0x0, symName: '_$sSD17dictionaryLiteralSDyxq_Gx_q_td_tcfCSS_ypTt0g5Tf4g_n', symObjAddr: 0xBCC, symBinAddr: 0x1000023EC, symSize: 0x10C }
  - { offset: 0x7A150, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceC19findConnectionOwner10ipProtocol13sourceAddress0I4Port011destinationJ00lK05replyys5Int32V_SSALSSALy7Library0eF6ResultCSg_So7NSErrorCSgtctF012$s7Library21efp6CSgSo7qT18IeyByy_AdGIeggg_TRApSIeyByy_Tf1nnnnncn_nTf4nnnnndg_n', symObjAddr: 0xCD8, symBinAddr: 0x1000024F8, symSize: 0x488 }
  - { offset: 0x7A47E, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceC21cleanWorkingDirectory5replyyySo7NSErrorCSgc_tF05$sSo7H18CSgIeyBy_ACIegg_TRAHIeyBy_Tf1cn_nTf4dg_n', symObjAddr: 0x1160, symBinAddr: 0x100002980, symSize: 0x240 }
  - { offset: 0x7A71C, size: 0x8, addend: 0x0, symName: '_$ss22__RawDictionaryStorageC4findys10_HashTableV6BucketV6bucket_Sb5foundtxSHRzlFSS_Tg5', symObjAddr: 0x0, symBinAddr: 0x100002D6C, symSize: 0x64 }
  - { offset: 0x7A73F, size: 0x8, addend: 0x0, symName: '_$ss22__RawDictionaryStorageC4findys10_HashTableV6BucketV6bucket_Sb5foundtxSHRzlFSS_Tg5', symObjAddr: 0x0, symBinAddr: 0x100002D6C, symSize: 0x64 }
  - { offset: 0x7A76C, size: 0x8, addend: 0x0, symName: '_$ss22__RawDictionaryStorageC4findys10_HashTableV6BucketV6bucket_Sb5foundtxSHRzlFSo18NSFileAttributeKeya_Tg5', symObjAddr: 0x64, symBinAddr: 0x100002DD0, symSize: 0x80 }
  - { offset: 0x7A816, size: 0x8, addend: 0x0, symName: '_$ss22__RawDictionaryStorageC4find_9hashValues10_HashTableV6BucketV6bucket_Sb5foundtx_SitSHRzlFSS_Tg5', symObjAddr: 0xE4, symBinAddr: 0x100002E50, symSize: 0xAC }
  - { offset: 0x7A86D, size: 0x8, addend: 0x0, symName: '_$ss22__RawDictionaryStorageC4find_9hashValues10_HashTableV6BucketV6bucket_Sb5foundtx_SitSHRzlFSo18NSFileAttributeKeya_Tg5', symObjAddr: 0x190, symBinAddr: 0x100002EFC, symSize: 0xF8 }
  - { offset: 0x7AA14, size: 0x8, addend: 0x0, symName: '_$sypSgWOh', symObjAddr: 0xA18, symBinAddr: 0x100003784, symSize: 0x48 }
  - { offset: 0x7AA28, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyaABSHSCWl', symObjAddr: 0xAB0, symBinAddr: 0x1000037CC, symSize: 0x44 }
  - { offset: 0x7AC32, size: 0x8, addend: 0x0, symName: '_$s10RootHelper23WorkingDirectoryManagerO7getSizes5Int64VyFZTf4d_n', symObjAddr: 0x288, symBinAddr: 0x100002FF4, symSize: 0x424 }
  - { offset: 0x7ADB1, size: 0x8, addend: 0x0, symName: '_$s10RootHelper23WorkingDirectoryManagerO5cleanyyKFZTf4d_n', symObjAddr: 0x6AC, symBinAddr: 0x100003418, symSize: 0x36C }
...
